@model FAA_UI.ViewModels.TestViewModel
<form id="formRefRange">
<div class="form-group row">
    <div class="form-group col-md-2" style="display:none;">
        @Html.TextBoxFor(model => model.selectedRefRange.RefId, new { id = "refId" } )
        @Html.TextBoxFor(model => model.selectedRefRange.TestId, new { id = "testId" } )
    </div>
    <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.Gender)
        @Html.DropDownListFor(model => model.selectedRefRange.Gender, new SelectList(ViewBag.GenderList,"Value","Text"), new { id = "gender" } )
        @Html.ValidationMessageFor(model => model.selectedRefRange.Gender)
    </div>
    <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.AgeMin)  
        @Html.TextBoxFor(model => model.selectedRefRange.AgeMin, new { id = "agemin" })
        @Html.ValidationMessageFor(model => model.selectedRefRange.AgeMin)
    </div>
    <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.AgeMax)
        @Html.TextBoxFor(model => model.selectedRefRange.AgeMax, new { id = "agemax" })
        @Html.ValidationMessageFor(model => model.selectedRefRange.AgeMax)
    </div>
        <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.AgeUnit)
        @Html.DropDownListFor(model => model.selectedRefRange.AgeUnit, new SelectList(ViewBag.AgeUnitList,"Value","Text"), new { id = "ageunit" })
        @Html.ValidationMessageFor(model => model.selectedRefRange.AgeUnit)
    </div>
</div>
<div class="form-group row">    
    <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.RefLow)
        @Html.TextBoxFor(model => model.selectedRefRange.RefLow, new { id = "reflow" })
        @Html.ValidationMessageFor(model => model.selectedRefRange.RefLow)
    </div>
    <div class="form-group col-md-2">
        @Html.LabelFor(model => model.selectedRefRange.RefHigh)
        @Html.TextBoxFor(model => model.selectedRefRange.RefHigh, new { id = "refhigh" })
        @Html.ValidationMessageFor(model => model.selectedRefRange.RefHigh)
    </div>   
</div>
<div style="float:right;" class="form-group row">
    <input type="button" id="btnSave" value="Save" class="btn btn-primary btn-lg"/>
    <input type="button" id="btnCancel" value="Cancel" class="btn btn-primary btn-lg"/>
</div>   
</form>
<div class="form-group row">
    <div class="table-responsive" style="padding-top:10px;">
        <table id="tblRefRange" class="table table-bordered table-hover" cellspacing="0" width="90%">
            <thead>
                <tr>
                    @{
                        var singleRefRange= Model.tblRefRange.FirstOrDefault();
                    }
                    <th style="display:none;">
                        @Html.DisplayNameFor(model => singleRefRange.RefId)
                    </th>
                    <th style="display:none;">
                        @Html.DisplayNameFor(model => singleRefRange.TestId)
                    </th>
                    <th>                  
                        @Html.DisplayNameFor(model => singleRefRange.Gender)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => singleRefRange.AgeMin)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => singleRefRange.AgeMax)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => singleRefRange.AgeUnit)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => singleRefRange.RefLow)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => singleRefRange.RefHigh)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach(var refItem in Model.tblRefRange)
                {
                    <tr>
                        <td style="display:none;">
                            @Html.DisplayFor(modelItem => refItem.RefId)
                        </td>
                        <td style="display:none;">
                            @Html.DisplayFor(modelItem => refItem.TestId)
                        </td>
                        <td>
                            @if(refItem!=null){
                            @(new SelectList(ViewBag.GenderList,"Value","Text").Where(x=>x.Value==Convert.ToString(refItem.Gender)).FirstOrDefault().Text)
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => refItem.AgeMin)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => refItem.AgeMax)
                        </td>
                        <td>
                            @if(refItem!=null){
                            @(new SelectList(ViewBag.AgeUnitList,"Value","Text").Where(x=>x.Value==Convert.ToString(refItem.AgeUnit)).FirstOrDefault().Text)
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => refItem.RefLow)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => refItem.RefHigh)
                        </td>
                    </tr>
                }
            </tbody> 
        </table>
    </div>
</div>    

<script>
    var table=$('#tblRefRange').DataTable(
        {
            "paging":   false,
            "ordering": false,
            "info":     false,
            "searching": false,       
        }
    );
    $('#tblRefRange tbody').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) 
        { 
            $(this).removeClass('selected'); 
        } 
        else {
        table.$('tr.selected').removeClass('selected'); $(this).addClass('selected');         
        }});

    $('#tblRefRange tbody').on('dblclick', 'tr', function () 
    {
        var data = table.row(this).data();
        $("#refId").val(data[0]);
        $("#testId").val(data[1]);
        $("#gender option:contains(" + data[2] + ")").attr('selected', 'selected').change();
        $("#agemin").val(data[3]); 
        $("#agemax").val(data[4]);
        $("#ageunit option:contains(" + data[5] + ")").attr('selected', 'selected').change(); 
        $("#reflow").val(data[6]); 
        $("#refhigh").val(data[7]);   
    });

    $("#btnCancel").click(function ()
    {
        $("#refId").val("");
        $("#gender").val(1).change(); 
        $("#agemin").val(""); 
        $("#agemax").val(""); 
        $("#ageunit").val(1).change(); 
        $("#reflow").val(""); 
        $("#refhigh").val(""); 
    });

    $("#btnSave").click(function()
    {
        var data={RefId:$("#refId").val(),TestId:$("#testId").val(),Gender:$("#gender").val(),RefLow:$("#reflow").val(),RefHigh:$("#refhigh").val(),AgeMin: $("#agemin").val(),AgeMax: $("#agemax").val(),AgeUnit:$("#ageunit").val()};
        
        $.ajax('/Test/AddEditRefRange', {
            type: 'POST',
            data: data,
            success: function () {
              location.reload();
            },
            error: function (jqXhr, textStatus, errorMessage) {
                alert("Unknown Error!!:"+errorMessage);
            }
        });
    });
</script>
